package premium_store.controller.DTO;

import premium_store.model.GameClient;
import premium_store.model.Tank;

import java.util.List;

//класс, который соединяет танки клиента в одну строчку (нам так захотелось)
public class ClientDTO {
    private final long id;
    private final List<Tank> tanks;

    public ClientDTO(GameClient gameClient){
        this.id = gameClient.getId();
        this.tanks = gameClient.getTanks();
    }

    public long getId(){
        return id;
    }

    public List<Tank> getTanks(){
        return tanks;
    }
}
