package premium_store.controller.DTO;

import premium_store.model.GameClient;
import premium_store.model.Tank;

import java.util.List;

public class TankDTO {
    private final long id;
    private final List<GameClient> gameClients;

    public TankDTO(Tank tank){
        this.id = tank.getId();
        this.gameClients = tank.getClients();
    }

    public long getId(){
        return id;
    }

    public List<GameClient> getClients(){
        return gameClients;
    }
}
